#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plot24()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 50, 60, 800, 600);


 //pll20--3
 double x2[] = {45.0,46.0, 47.0};
 double y2[] = {49.794105364303,50.7744517778793,51.4513493651018 };
 double y2e[3]={0.352611180412919,0.352611180412919,0.352611180412919}; 
 double y12[3];
  for(int i=0; i<3; i++){
   y12[i]=y2[i]-5.41345657573155;
   
   };


 TF1 *f2 = new TF1( "f2", "[0]*x+[1]" ,0.0,47.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g2 = new TGraphErrors(3, x2, y12, 0 ,y2e);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g2->GetXaxis()->SetNdivisions(20, 5, 0/*, Bool_t optim=kTRUE*/);
 g2->GetYaxis()->SetNdivisions(8, 10, 0/*, Bool_t optim=kTRUE*/);

g2->GetXaxis()->SetRangeUser(0,50);
g2->GetYaxis()->SetRangeUser(0,60);

g2->SetMarkerStyle(20);
g2->SetMarkerColor(4);
g2->SetMarkerSize(1);
g2->SetTitle("Variable Delay;Delay step ;Delay (ns)");

f2->SetParameters(1.2,0.0);
f2->SetParNames("slope20-3","intercept20-3");
 f2->SetLineColor(4);
g2->Fit("f2");

g2->Draw("AP");
f2->Draw("same");


//pll20--4546
 double x25[] = {45.0,46.0/*, 47.0*/};
 double y25[] = {49.794105364303,50.7744517778793};
 double y2e5[2]={0.352611180412919,0.352611180412919 }; 
 double y125[2];
  for(int i=0; i<2; i++){
   y125[i]=y25[i]-5.41345657573155;
  
   };


 TF1 *f25 = new TF1( "f25", "[0]*x+[1]" ,0.0,47.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g25 = new TGraphErrors(2, x25, y125, 0 ,y2e5);


 g25->GetXaxis()->SetNdivisions(20, 5, 0/*, Bool_t optim=kTRUE*/);
 g25->GetYaxis()->SetNdivisions(8, 10, 0/*, Bool_t optim=kTRUE*/);

g25->GetXaxis()->SetRangeUser(0,50);
g25->GetYaxis()->SetRangeUser(0,60);

g25->SetMarkerStyle(20);
g25->SetMarkerColor(4);
g25->SetMarkerSize(1);
g25->SetTitle("Variable Delay;Delay step ;Delay (ns)");

f25->SetParameters(1.2,0.0);
f25->SetParNames("slope20-4546","intercept20-4546");
 f25->SetLineColor(4);
g25->Fit("f25");

g25->Draw("P");
f25->Draw("same");

//pll20--4647
 double x256[] = {/*45.0,*/46.0, 47.0};
 double y256[] = {50.7744517778793,51.4513493651018 };
 double y2e56[2]={0.352611180412919,0.352611180412919 }; 
 double y1256[2];
  for(int i=0; i<2; i++){
   y1256[i]=y256[i]-5.41345657573155;
   };


 TF1 *f256 = new TF1( "f256", "[0]*x+[1]" ,0.0,47.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g256 = new TGraphErrors(2, x256, y1256, 0 ,y2e56);


 g256->GetXaxis()->SetNdivisions(20, 5, 0/*, Bool_t optim=kTRUE*/);
 g256->GetYaxis()->SetNdivisions(8, 10, 0/*, Bool_t optim=kTRUE*/);

g256->GetXaxis()->SetRangeUser(0,50);
g256->GetYaxis()->SetRangeUser(0,60);

g256->SetMarkerStyle(20);
g256->SetMarkerColor(4);
g256->SetMarkerSize(1);
g256->SetTitle("Variable Delay;Delay step ;Delay (ns)");

f256->SetParameters(1.2,0.0);
f256->SetParNames("slope20-4647","intercept20-4647");
f256->SetLineColor(4);
g256->Fit("f256");

g256->Draw("P");
f256->Draw("same");


//pll20--4547
 double x2567[] = {45.0,/*46.0,*/ 47.0};
 double y2567[] = {49.794105364303,51.4513493651018 };
 double y2e567[2]={0.352611180412919,0.352611180412919 }; 
 double y12567[2];
  for(int i=0; i<2; i++){
   y12567[i]=y2567[i]-5.41345657573155;

   };


 TF1 *f2567 = new TF1( "f2567", "[0]*x+[1]" ,0.0,47.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g2567 = new TGraphErrors(2, x2567, y12567, 0 ,y2e567);


 g2567->GetXaxis()->SetNdivisions(20, 5, 0/*, Bool_t optim=kTRUE*/);
 g2567->GetYaxis()->SetNdivisions(8, 10, 0/*, Bool_t optim=kTRUE*/);

g2567->GetXaxis()->SetRangeUser(0,50);
g2567->GetYaxis()->SetRangeUser(0,60);

g2567->SetMarkerStyle(20);
g2567->SetMarkerColor(4);
g2567->SetMarkerSize(1);
g2567->SetTitle("Variable Delay;Delay step ;Delay (ns)");

f2567->SetParameters(1.2,0.0);
f2567->SetParNames("slope20-4547","intercept20-4547");
f2567->SetLineColor(4);
g2567->Fit("f2567");

g2567->Draw("P");
f2567->Draw("same");









 TLegend *leg = new TLegend(0.15,0.6,0.4,0.8,"","NDC");
 leg->AddEntry(g2, "STEP=24","lp");
  //leg.SetMargin(0.5)
  //leg.SetTextSize(0.04)
  //leg.SetBorderSize(0)
  //leg.SetFillColor(0)
  leg->Draw();
}





