#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plot14t()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 50, 60, 800, 600);
 
//room
 double x2[] = {0.0,  6.0, 12.0, 18.0, 24.0, 30.0, 36.0, 42.0,  47.0};
 double y4[] = {0.525445126036708, 1.0354456746285, 1.53991777558447, 2.05649724342641, 2.5634442560435, 3.06667259510635, 3.57383761316491, 4.07738592821773, 4.46869447522531};
 double y14[9];
 double y14e[9];
  for(int i=0; i<9; i++){
    y14[i]=(y4[i]-y4[0])*10;
   y14e[i]=0.300803915110832;
   };

 TF1 *f4 = new TF1( "f4", "[0]*x+[1]" ,0.0,47.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g4 = new TGraphErrors(9, x2, y14,0,y14e);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g4->GetXaxis()->SetNdivisions(20, 5, 0/*, Bool_t optim=kTRUE*/);
 g4->GetYaxis()->SetNdivisions(9, 5, 0/*, Bool_t optim=kTRUE*/);

g4->GetXaxis()->SetRangeUser(0,50);
g4->GetYaxis()->SetRangeUser(0,45);

g4->SetMarkerStyle(26);
g4->SetMarkerColor(2);
g4->SetMarkerSize(1);
g4->SetTitle(";Delay step ;Delay (ns)");

f4->SetParameters(1.0,0.0);
f4->SetParNames("slope24","intercept24");
 f4->SetLineColor(2);
 //->Fit("f4");

g4->Draw("AP");



//40
 double x[] = {0.0, 3.0, 6.0, 9.0, 12.0, 15.0, 18.0, 21.0, 24.0, 27.0, 30.0,33.0, 36.0, 39.0, 42.0, 45.0, 47.0};
 double y[] = {0.699186663537042, 1.20000879178265, 1.69171689730439, 2.22899661280159, 2.7517455751241, 3.24468822378841, 3.73140214253043, 4.24392078420362, 4.64572955110859};
 double y1[9];
 double y1e[9];
  for(int i=0; i<9; i++){
    y1[i]=(y[i]-y[0])*10;
   y1e[i]=0.526229429461752;
   };


 TF1 *f1 = new TF1( "f1", "[0]*x+[1]" ,0.0,47.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g1 = new TGraphErrors(9, x2, y1,0,y1e);

//c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
//c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g1->GetXaxis()->SetNdivisions(20, 5, 0/*, Bool_t optim=kTRUE*/);
 g1->GetYaxis()->SetNdivisions(9, 5, 0/*, Bool_t optim=kTRUE*/);

g1->GetXaxis()->SetRangeUser(0,50);
g1->GetYaxis()->SetRangeUser(0,45);

g1->SetMarkerStyle(25);
g1->SetMarkerColor(3);
g1->SetLineColor(3);
g1->SetMarkerSize(1);
g1->SetTitle("PLL Delay 28;Delay step ;Delay (ns)");

f1->SetParameters(0.8,0.0);
f1->SetParNames("slope28","intercept28");
 f1->SetLineColor(3);
 //g1->Fit("f1");

g1->Draw("P");



 g1->GetXaxis()->SetNdivisions(20, 5, 0/*, Bool_t optim=kTRUE*/);
 g1->GetYaxis()->SetNdivisions(9, 5, 0/*, Bool_t optim=kTRUE*/);

g1->GetXaxis()->SetRangeUser(0,50);
g1->GetYaxis()->SetRangeUser(0,45);

g1->SetTitle(";Delay step ;Delay [ns]");


 TLegend *leg = new TLegend(0.15,0.6,0.4,0.8,"","NDC");
 leg->AddEntry(g4, "room","lp");
 leg->AddEntry(g1, "40 degrees","lp");
  //leg.SetMargin(0.5)
  //leg.SetTextSize(0.04)
  //leg.SetBorderSize(0)
  //leg.SetFillColor(0)
  leg->Draw();
}





