#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plot22()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 50, 60, 800, 600);
 



 double x[] =  {1.0, 3.0, 5.0, 7.0, 9.0, 11.0, 13.0, 15.0};


 //297
 double y1[] = {0.0959336005690501, 0.312000012397766, 0.504000020027161, 0.708000028133392, 0.913801404220495 ,1.11600004434586, 1.31331318751949, 1.51200006008148 };
 double yer[] = {0.00220310390493884, 0, 7.14099202095646e-17, 0, 0.00432062546878465, 0, 0.00600843203800898, 0};

 double y1e[8];

for(int i=0; i<1; i++){
  y1e[i] = yer[0];
   };
 for(int i=1; i<8; i++){
   y1e[i] = sqrt(yer[0]*yer[0]+yer[i]*yer[i])/(i);
   };



 TGraphErrors *g0 = new TGraphErrors(8, x, y1, 0,y1e);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

g0->GetXaxis()->SetNdivisions(8, 4, 0/*, Bool_t optim=kTRUE*/);
g0->GetYaxis()->SetNdivisions(5, 5, 0/*, Bool_t optim=kTRUE*/);

g0->GetXaxis()->SetLimits(0,16);
g0->GetYaxis()->SetRangeUser(0,2.5);

g0->SetMarkerStyle(20);
g0->SetMarkerColor(4);
g0->SetLineColor(4);
g0->SetMarkerSize(1);
g0->SetTitle(";Number of current sources ;Amplitude [V]");

g0->GetXaxis()->SetLabelSize(0.05);
g0->GetYaxis()->SetLabelSize(0.05);
g0->GetXaxis()->SetTitleSize(0.05);
g0->GetYaxis()->SetTitleSize(0.05);
g0->GetXaxis()->SetTitleOffset(1.1);
g0->GetYaxis()->SetTitleOffset(1.1);

g0->Draw("AP");


//330
 double y2[] = {0.120000004768372, 0.360000014305115, 0.600000023841858, 0.840269734878112, 1.08000004291534, 1.30800005197525, 1.54800006151199, 1.7760000705719};
 double yer2[] = {1.06100133565216e-17, 0, 0, 0.00179296020818817, 0, 0, 0, 0};
 double y12[9];
 double y1e2[9];

for(int i=0; i<1; i++){
  y1e2[i] = yer2[0];
   };
 for(int i=1; i<8; i++){
   y1e2[i] = sqrt(yer2[0]*yer2[0]+yer2[i]*yer2[i])/(i);
   };



 TGraphErrors *g2 = new TGraphErrors(8, x, y2, 0,y1e2);

 //c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
 //c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

g2->GetXaxis()->SetNdivisions(8, 4, 0/*, Bool_t optim=kTRUE*/);
g2->GetYaxis()->SetNdivisions(5, 5, 0/*, Bool_t optim=kTRUE*/);

g2->GetXaxis()->SetRangeUser(0,16);
g2->GetYaxis()->SetRangeUser(0,2.5);

g2->SetMarkerStyle(26);
 g2->SetMarkerColor(2);
g2->SetLineColor(2);
g2->SetMarkerSize(1);
g2->SetTitle(";Number of current sources ;Amplitude [V]");



g2->Draw("P");

//363
 double y4[] = {0.134585806890365, 0.408000006079674, 0.688000010251999, 0.960000014305115, 1.23630898828579,1.51200006008148,  1.7760000705719, 2.02761761004442};
 double yer4[] = {0.00334926545155768, 0, 0, 0, 0.004020082450098, 0, 0, 0.00212486002005303};
 double y14[9];
 double y1e4[9];

for(int i=0; i<1; i++){
  y1e4[i] = yer4[0];
   };
 for(int i=1; i<8; i++){
   y1e4[i] = sqrt(yer4[0]*yer4[0]+yer4[i]*yer4[i])/(i);
   };


TGraphErrors *g4 = new TGraphErrors(8, x, y4, 0,y1e4);

 //c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
 //c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g4->GetXaxis()->SetNdivisions(8,4, 0/*, Bool_t optim=kTRUE*/);
g4->GetYaxis()->SetNdivisions(5, 5, 0/*, Bool_t optim=kTRUE*/);

g4->GetXaxis()->SetRangeUser(0,16);
g4->GetYaxis()->SetRangeUser(0,2.5);

g4->SetMarkerStyle(25);
g4->SetMarkerColor(3);
g4->SetLineColor(3);
g4->SetMarkerSize(1);
g4->SetTitle(";Number of current sources ;Amplitude [V]");

g4->Draw("P");




TLegend *leg = new TLegend(0.16,0.58,0.48,0.87,"","NDC");
leg->AddEntry(g0, "VDDIO33 = 2.97 V","lp");
leg->AddEntry(g2, "VDDIO33 = 3.30 V","lp");
leg->AddEntry(g4, "VDDIO33 = 3.63 V","lp");
  //leg.SetMargin(0.5)
  //leg.SetTextSize(0.04)
  //leg.SetBorderSize(0)
  //leg.SetFillColor(0)
  leg->Draw();

  TLegend *leg2 = new TLegend(0.2,0.45,0.3,0.55/*,"","NDC"*/);
 leg2->AddEntry((TObject*)0,"STEP = 28","");

  //leg.SetMargin(0.5);
 /* leg2->SetTextSize(0.04);
  leg2->SetBorderSize(0);
 leg2->SetFillStyle(0);
 leg2->Draw();*/
}





