#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plotc()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 50, 60, 800, 600);
 
 double x2[] = {0.0, 1.0,2.0,3.0,4.0,5.0,6.0,7.0,};

 double y2[] = {-2.05729557508877e-10, 1.26879436909669e-08, 3.92618008198044e-08, 6.36496687353763e-08, 8.78454839752866e-08, 1.12525684985691e-07, 1.36685445659647e-07, 1.62023412503935e-07};

 double y2e[] = {4.79545298641671e-11, 7.20248315567045e-09, 7.65885186020565e-09, 7.35625550696503e-09, 7.02588362932612e-09, 6.84968548626191e-09, 7.34461350602189e-09, 7.65641060444396e-09};
 double y[8];
 double ye[8];
 double y1[8];
 for(int i=0; i<8; i++){
  y[i]=y2[i]*1000000000;
  ye[i]=y2e[i]*1000000000; 
 };
  for(int i=0; i<8; i++){
   y1[i]=y[i]-y[0];
   };



 TF1 *f2 = new TF1( "f2", "[0]*x+[1]" ,0.0,4100.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g2 = new TGraphErrors(8, x2, y1,0,ye);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g2->GetXaxis()->SetNdivisions(8, 5, 0/*, Bool_t optim=kTRUE*/);
 g2->GetYaxis()->SetNdivisions(10, 4, 0/*, Bool_t optim=kTRUE*/);

g2->GetXaxis()->SetLimits(0,8);
g2->GetYaxis()->SetRangeUser(0,200);

g2->SetMarkerStyle(20);
g2->SetMarkerColor(4);
g2->SetLineColor(4);
g2->SetMarkerSize(1);
g2->SetTitle(";Delay step ;Delay (ns)");

g2->GetXaxis()->SetLabelSize(0.05);
g2->GetYaxis()->SetLabelSize(0.05);
g2->GetXaxis()->SetTitleSize(0.05);
g2->GetYaxis()->SetTitleSize(0.05);
g2->GetXaxis()->SetTitleOffset(1.1);
g2->GetYaxis()->SetTitleOffset(1.1);
 

f2->SetParameters(1.2,0.0);
f2->SetParNames("slope","intercept");
 f2->SetLineColor(4);
 g2->Fit("f2");

g2->Draw("AP");
// f1->Draw("same");



}





