#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plot24re()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 50, 60, 800, 600);
 
 c1->SetLogx();
 

 double x[] =  {0.001, 0.01, 0.1, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0, 10.0, 20.0, 30.0, 40.0, 50.0, 60.0, 70.0, 80.0, 90.0, 100.0};


 //33
 double y1[22];


for(int i=0; i<22; i++){
  y1[i] = 3.3*0.00*1000;
   };



 TGraphErrors *g0 = new TGraphErrors(22, x, y1, 0, 0);

c1->SetGridx(1);
c1->SetGridy(1);

g0->GetXaxis()->SetNdivisions(5, 10, 0);
g0->GetYaxis()->SetNdivisions(9, 5, 0);

g0->GetXaxis()->SetLimits(0.001,100.0);
g0->GetYaxis()->SetRangeUser(0,180);

g0->SetMarkerStyle(20);
g0->SetMarkerColor(4);
g0->SetLineColor(4);
g0->SetMarkerSize(1);
g0->SetTitle(";Input rate [MHz] ;Power [mW]");

g0->GetXaxis()->SetLabelSize(0.05);
g0->GetYaxis()->SetLabelSize(0.05);
g0->GetXaxis()->SetTitleSize(0.05);
g0->GetYaxis()->SetTitleSize(0.05);
g0->GetXaxis()->SetTitleOffset(1.1);
g0->GetYaxis()->SetTitleOffset(1.1);

g0->Draw("APL");


//330
 double y2[] = {0.005, 0.005, 0.005, 0.006, 0.007, 0.008, 0.01, 0.012, 0.014, 0.016, 0.016, 0.018, 0.019, 0.029, 0.035, 0.045,  0.052, 0.060, 0.067, 0.074, 0.079, 0.047};

 double y12[22];

for(int i=0; i<22; i++){
  y12[i] = y2[i]*1.8*1000;
   };
 


 TGraphErrors *g2 = new TGraphErrors(22, x, y12, 0, 0);

 c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

g2->GetXaxis()->SetNdivisions(5, 10, 0/*, Bool_t optim=kTRUE*/);
g2->GetYaxis()->SetNdivisions(9, 4, 0/*, Bool_t optim=kTRUE*/);

g2->GetXaxis()->SetLimits(0.001,100.0);
g2->GetYaxis()->SetRangeUser(0,180);


g2->SetMarkerStyle(26);
 g2->SetMarkerColor(2);
g2->SetLineColor(2);
g2->SetMarkerSize(1);
g2->SetTitle(";Input rate [MHz] ;Power [mW]");



g2->Draw("PL");

//363
 double y4[22];

for(int i=0; i<22; i++){
  y4[i] = y1[i]+y12[i];
   };


TGraphErrors *g4 = new TGraphErrors(22, x, y4, 0, 0);

 

g4->SetMarkerStyle(25);
g4->SetMarkerColor(3);
g4->SetLineColor(3);
g4->SetMarkerSize(1);
g4->SetTitle(";Input rate [MHz] ;Power [mW]");

g4->Draw("PL");




/*TLegend *leg = new TLegend(0.17,0.58,0.47,0.84,"","NDC");
leg->AddEntry(g0, "3.3 V","lp");
leg->AddEntry(g2, "1.8 V","lp");
leg->AddEntry(g4, "Total","lp");
  //leg.SetMargin(0.5)
  //leg.SetTextSize(0.04)
  //leg.SetBorderSize(0)
  //leg.SetFillColor(0)
  leg->Draw();*/

  //  TLegend *leg2 = new TLegend(0.2,0.45,0.3,0.55/*,"","NDC"*/);
  //leg2->AddEntry((TObject*)0,"STEP = 28","");

  //leg.SetMargin(0.5);
 /* leg2->SetTextSize(0.04);
  leg2->SetBorderSize(0);
 leg2->SetFillStyle(0);
 leg2->Draw();*/
}





