#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plota050()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 60, 60, 800, 600);
 
 double x2[] = {0.0, 3.0, 6.0, 9.0, 12.0, 15.0, 18.0, 21.0, 24.0, 27.0, 30.0};
 double y2[] = {0.003, 0.007, 0.010, 0.014, 0.017, 0.021, 0.024, 0.028, 0.031, 0.035, 0.038};

 double y3[]={0.0, 0.003, 0.007, 0.011, 0.014, 0.018, 0.021, 0.025, 0.029, 0.032, 0.036 };


 double y1[11];
for(int i=0; i<11; i++){
  y1[i] = 3.3*(y2[i]-y3[i])*1000;
   };

 TGraphErrors *g2 = new TGraphErrors(11, x2, y1,0,0);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g2->GetXaxis()->SetNdivisions(6, 5, 0/*, Bool_t optim=kTRUE*/);
 g2->GetYaxis()->SetNdivisions(10, 4, 0/*, Bool_t optim=kTRUE*/);

g2->GetXaxis()->SetLimits(0,30.000);
g2->GetYaxis()->SetRangeUser(0,20);

g2->SetMarkerStyle(20);
g2->SetMarkerColor(4);
g2->SetLineColor(4);
g2->SetMarkerSize(1);
g2->SetTitle(";Number of current sources;Power (N0.50-No.0)[mW]");

g2->GetXaxis()->SetLabelSize(0.05);
g2->GetYaxis()->SetLabelSize(0.05);
g2->GetXaxis()->SetTitleSize(0.05);
g2->GetYaxis()->SetTitleSize(0.05);
g2->GetXaxis()->SetTitleOffset(1.1);
g2->GetYaxis()->SetTitleOffset(1.1);
 

g2->Draw("AP");




/*TLegend *leg = new TLegend(0.16,0.55,0.4,0.89,"","NDC");
 leg->AddEntry(g2, "ch B=0","lp");
 leg->AddEntry(g4, "ch A=0","lp");
 leg->AddEntry(g1, "ch A=15","lp");
 leg->AddEntry(g3, "ch B=15","lp");
 leg->AddEntry(g5, "ch A=ch B","lp");
  //leg.SetMargin(0.5)
 leg->SetTextSize(0.04);
  //leg.SetBorderSize(0)
  //leg.SetFillColor(0)
  leg->Draw();*/
}





