#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plota50()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 60, 60, 800, 600);
 //00
 double x2[] = {0.0, 3.0, 6.0, 9.0, 12.0, 15.0};
 double y2[] = {0.003, 0.007, 0.010, 0.014, 0.017, 0.021};

 double y1[6];
for(int i=0; i<6; i++){
  y1[i] = 3.3*y2[i]*1000;
   };

 TGraphErrors *g2 = new TGraphErrors(6, x2, y1,0,0);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g2->GetXaxis()->SetNdivisions(6, 5, 0/*, Bool_t optim=kTRUE*/);
 g2->GetYaxis()->SetNdivisions(7, 4, 0/*, Bool_t optim=kTRUE*/);

g2->GetXaxis()->SetLimits(0,30.000);
g2->GetYaxis()->SetRangeUser(0,140);

g2->SetMarkerStyle(20);
g2->SetMarkerColor(4);
g2->SetLineColor(4);
g2->SetMarkerSize(1);
g2->SetTitle(";Number of current sources;Power [mW]");

g2->GetXaxis()->SetLabelSize(0.05);
g2->GetYaxis()->SetLabelSize(0.05);
g2->GetXaxis()->SetTitleSize(0.05);
g2->GetYaxis()->SetTitleSize(0.05);
g2->GetXaxis()->SetTitleOffset(1.1);
g2->GetYaxis()->SetTitleOffset(1.1);
 

g2->Draw("AP");



//01
 double x21[] = {3.0, 6.0, 9.0, 12.0, 15.0};
 double y21[] = {0.006, 0.010, 0.013, 0.017, 0.02};

  double y11[5];
for(int i=0; i<5; i++){
  y11[i] = 3.3*y21[i]*1000;
   };

 TGraphErrors *g4 = new TGraphErrors(5, x21, y11,0,0);


//c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
//c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g4->GetXaxis()->SetNdivisions(8, 4, 0/*, Bool_t optim=kTRUE*/);
 g4->GetYaxis()->SetNdivisions(6, 5, 0/*, Bool_t optim=kTRUE*/);

g4->GetXaxis()->SetLimits(0,30.000);
g4->GetYaxis()->SetRangeUser(0,200);

g4->SetMarkerStyle(26);
g4->SetMarkerColor(2);
g4->SetLineColor(2);
g4->SetMarkerSize(1);
g4->SetTitle(";Number of current sources;Amplitude [V]");



g4->Draw("P");



//10
 double x22[] = {18.0, 21.0, 24.0, 27.0, 30.0};
 double y22[] = {0.024, 0.028, 0.031, 0.035, 0.038 };

  double y12[5];
for(int i=0; i<5; i++){
  y12[i] = 3.3*y22[i]*1000;
   };

 TGraphErrors *g1 = new TGraphErrors(5, x22, y12,0,0);

//c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
//c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g1->GetXaxis()->SetNdivisions(8, 4, 0/*, Bool_t optim=kTRUE*/);
 g1->GetYaxis()->SetNdivisions(6, 5, 0/*, Bool_t optim=kTRUE*/);

g1->GetXaxis()->SetRangeUser(0,16);
g1->GetYaxis()->SetRangeUser(0,200);

g1->SetMarkerStyle(25);
g1->SetMarkerColor(3);
g1->SetLineColor(3);
g1->SetMarkerSize(1);
g1->SetTitle(";Number of current sources;Amplitude [V]");



g1->Draw("P");


//11
 double x23[] = {18.0, 21.0, 24.0, 27.0};
 double y23[] = {0.024, 0.028, 0.031, 0.035 };

  double y13[4];
for(int i=0; i<4; i++){
  y13[i] = 3.3*y22[i]*1000;
   };

 TGraphErrors *g3 = new TGraphErrors(4, x23, y13,0,0);
//c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
//c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g3->GetXaxis()->SetNdivisions(8, 4, 0/*, Bool_t optim=kTRUE*/);
 g3->GetYaxis()->SetNdivisions(6, 5, 0/*, Bool_t optim=kTRUE*/);

g3->GetXaxis()->SetRangeUser(0,16);
g3->GetYaxis()->SetRangeUser(0,3);

g3->SetMarkerStyle(4);
g3->SetMarkerColor(14);
g3->SetLineColor(14);
g3->SetMarkerSize(1);
g3->SetTitle(";Number of current sources;Amplitude [V]");



g3->Draw("P");



 double x25[] = {6.0, 12.0, 18.0, 24.0};
 double y25[] = {0.009, 0.018, 0.024, 0.031 };

  double y15[4];
for(int i=0; i<4; i++){
  y15[i] = 3.3*y25[i]*1000;
   };

 TGraphErrors *g5 = new TGraphErrors(4, x25, y15,0,0);
//c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
//c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g5->GetXaxis()->SetNdivisions(8, 4, 0/*, Bool_t optim=kTRUE*/);
 g5->GetYaxis()->SetNdivisions(6, 5, 0/*, Bool_t optim=kTRUE*/);

g5->GetXaxis()->SetRangeUser(0,16);
g5->GetYaxis()->SetRangeUser(0,3);

g5->SetMarkerStyle(3);
g5->SetMarkerColor(46);
g5->SetLineColor(46);
g5->SetMarkerSize(1);
g5->SetTitle(";Number of current sources;Amplitude [V]");

g5->Draw("P");

 TLegend *leg = new TLegend(0.16,0.55,0.4,0.89,"","NDC");
 leg->AddEntry(g2, "ch B=0","lp");
 leg->AddEntry(g4, "ch A=0","lp");
 leg->AddEntry(g1, "ch A=15","lp");
 leg->AddEntry(g3, "ch B=15","lp");
 leg->AddEntry(g5, "ch A=ch B","lp");
  //leg.SetMargin(0.5)
 leg->SetTextSize(0.04);
  //leg.SetBorderSize(0)
  //leg.SetFillColor(0)
  leg->Draw();
}





