#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plot10ktot()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 60, 60, 800, 600);

double x;

THStack *hs = new THStack("hs", "10 kHz total");

TH1S *h1 = new TH1S("", "", 42, 10, 80);

h1->SetTitle("10 kHz total;Power [mW];Entries");

h1->GetXaxis()->SetLimits(10.0,80.0);
h1->GetYaxis()->SetRangeUser(0,100);

h1->GetXaxis()->SetLabelSize(0.05);
h1->GetYaxis()->SetLabelSize(0.05);
h1->GetXaxis()->SetTitleSize(0.05);
h1->GetYaxis()->SetTitleSize(0.05);
h1->GetXaxis()->SetTitleOffset(1.0);
h1->GetYaxis()->SetTitleOffset(1.0);

ifstream data("10ktot.txt");

while(data>>x) h1->Fill(x);

hs->Add(h1);

TH1S *h2 = new TH1S("", "", 42, 10, 80);

h2->SetTitle("10 MHz 1.8 V;Power [mW];Entries");

h2->GetXaxis()->SetLimits(10.0,80.0);
h2->GetYaxis()->SetRangeUser(0,100);

h2->GetXaxis()->SetLabelSize(0.05);
h2->GetYaxis()->SetLabelSize(0.05);
h2->GetXaxis()->SetTitleSize(0.05);
h2->GetYaxis()->SetTitleSize(0.05);
h2->GetXaxis()->SetTitleOffset(1.0);
h2->GetYaxis()->SetTitleOffset(1.0);

ifstream data2("1-10ktot.txt");

while(data2>>x) h2->Fill(x);

hs->Add(h2);

 hs->Draw();

}





