#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plot10M18()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 60, 60, 800, 600);

double x;



TH1S *h1 = new TH1S("", "", 20, 0, 40);

h1->SetTitle("10 MHz 1.8 V;Power [mW];Entries");

h1->GetXaxis()->SetLimits(0.0,40.0);
h1->GetYaxis()->SetRangeUser(0,100);

h1->GetXaxis()->SetLabelSize(0.05);
h1->GetYaxis()->SetLabelSize(0.05);
h1->GetXaxis()->SetTitleSize(0.05);
h1->GetYaxis()->SetTitleSize(0.05);
h1->GetXaxis()->SetTitleOffset(1.0);
h1->GetYaxis()->SetTitleOffset(1.0);

ifstream data("10M18.txt");

while(data>>x) h1->Fill(x);

h1->Draw();

}





