#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plot1628()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 50, 60, 800, 600);
 



 double x[48];
for(int i=0; i<48; i++){
  x[i]=i;
 };

 double y[48] ;
 // double yer[] = {1.72788159555637, 1.98866690985665, 1.96674157392009, 1.92310870410881, 1.93708659815924, 2.35885363858814, 2.27731325105808, 2.90897034697403, 2.38440627970913};
 double y1[48];
 //double y1e[9];

 y1[0] = 27.2;

for(int i=1; i<25; i++){
  y1[i]=0.844*i+y1[0];
 };

 y1[25] = 48.4;
 y1[26] = 49.1;
 y1[27] = 25.0;
 y1[28] = 25.9;
 y1[29] = 26.8;

for(int i=29; i<48; i++){
  y1[i]=0.844*i+y1[0]-25.0;
 };

 TGraphErrors *g0 = new TGraphErrors(48, x, y1, 0, 0);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

g0->GetXaxis()->SetNdivisions(10, 5, 0/*, Bool_t optim=kTRUE*/);
g0->GetYaxis()->SetNdivisions(5, 5, 0/*, Bool_t optim=kTRUE*/);

g0->GetXaxis()->SetLimits(0,50);
g0->GetYaxis()->SetRangeUser(25,50);

g0->SetMarkerStyle(20);
g0->SetMarkerColor(1);
g0->SetLineColor(1);
g0->SetMarkerSize(1);
g0->SetTitle(";BCID GATE ;Effective gate [ns]");

 g0->GetXaxis()->SetLabelSize(0.05);
 g0->GetYaxis()->SetLabelSize(0.05);
g0->GetXaxis()->SetTitleSize(0.05);
g0->GetYaxis()->SetTitleSize(0.05);
g0->GetXaxis()->SetTitleOffset(1.1);
g0->GetYaxis()->SetTitleOffset(1.1);

g0->Draw("AP");





/*
TLegend *leg = new TLegend(0.17,0.58,0.48,0.88,"","NDC");
leg->AddEntry(g0, "VDD = 1.62 V","lp");
leg->AddEntry(g2, "VDD = 1.80 V","lp");
leg->AddEntry(g4, "VDD = 1.98 V","lp");
  //leg.SetMargin(0.5)
 leg->SetTextSize(0.045);
  //leg.SetBorderSize(0)
  //leg.SetFillColor(0)
  leg->Draw();*/

  //TLegend *leg2 = new TLegend(0.2,0.45,0.48,0.55/*,"","NDC"*/);
  //leg2->AddEntry((TObject*)0,"STEP = 28","");

  //leg.SetMargin(0.5);
 /* leg2->SetTextSize(0.04);
  leg2->SetBorderSize(0);
 leg2->SetFillStyle(0);
 leg2->Draw();*/
}





