#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plot1715()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 60, 60, 800, 600);
 //00
 double x2[51];
 double y2[51];

 for(int t=0; t<51; t++)
   {
     x2[t]=t;
   };
for(int t=0; t<25; t++)
   {
     y2[t]=1.0;
   };
for(int t=25; t<50; t++)
   {
     y2[t]=2.0;
   };
for(int t=50; t<51; t++)
   {
     y2[t]=3.0;
   };

 TGraphErrors *g2 = new TGraphErrors(51, x2, y2,0,0);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g2->GetXaxis()->SetNdivisions(10, 5, 0/*, Bool_t optim=kTRUE*/);
 g2->GetYaxis()->SetNdivisions(4, 5, 0/*, Bool_t optim=kTRUE*/);

g2->GetXaxis()->SetLimits(0,50.000);
g2->GetYaxis()->SetRangeUser(0,4);

g2->SetMarkerStyle(20);
g2->SetMarkerColor(4);
g2->SetLineColor(4);
g2->SetMarkerSize(1);
g2->SetTitle(";Delay [ns];BCID output");

g2->GetXaxis()->SetLabelSize(0.05);
g2->GetYaxis()->SetLabelSize(0.05);
g2->GetXaxis()->SetTitleSize(0.05);
g2->GetYaxis()->SetTitleSize(0.05);
g2->GetXaxis()->SetTitleOffset(1.1);
g2->GetYaxis()->SetTitleOffset(1.1);
 

g2->Draw("AP");
// f1->Draw("same");



//01
 double x1[30];
 double y4[30];


for(int t=0; t<14; t++)
   {
     x1[t]=t;
   };
for(int t=14; t<28; t++)
   {
     x1[t]=t+11;
   };
for(int t=28; t<29; t++)
   {
     x1[t]=50;
   };

for(int t=0; t<14; t++)
   {
     y4[t]=0.0;
   };
for(int t=14; t<28; t++)
   {
     y4[t]=1.0;
   };
for(int t=28; t<29; t++)
   {
     y4[t]=2.0;
   };

 TGraphErrors *g4 = new TGraphErrors(30, x1, y4,0,0);

//c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
//c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g4->GetXaxis()->SetNdivisions(10, 5, 0/*, Bool_t optim=kTRUE*/);
 g4->GetYaxis()->SetNdivisions(4, 5, 0/*, Bool_t optim=kTRUE*/);

g4->GetXaxis()->SetRangeUser(0,50);
g4->GetYaxis()->SetRangeUser(0,4);

g4->SetMarkerStyle(20);
g4->SetMarkerColor(2);
g4->SetLineColor(2);
g4->SetMarkerSize(1);
g4->SetTitle(";Delay [ns];BCID output");



g4->Draw("P");



   TLegend *leg2 = new TLegend(0.2,0.75,0.35,0.85/*,"","NDC"*/);
 leg2->AddEntry((TObject*)0,"BCID_GATE = 15","");

  //leg.SetMargin(0.5);
 leg2->SetTextSize(0.05);
     leg2->SetBorderSize(0);
    leg2->SetFillStyle(0);
 leg2->Draw();

}





