#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plotc()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 50, 60, 800, 600);
 
 double x2[] = { 1.0,2.0,3.0,4.0,5.0,6.0,7.0,};

 double y2[] = {-1.95719886853699e-10, 2.49403266513985e-08, 4.98972586955133e-08, 7.49067739640215e-08, 9.98617034752611e-08,  1.24851622086612e-07, 1.49852821109817e-07	};

 double y2e[] ={7.23240861738557e-11,  3.57783685500653e-11, 3.31936574133034e-11, 3.89695745756769e-11, 3.79550604066657e-11,  4.37868360094468e-11, 3.95349061300675e-11};
 double y[7];
 double ye[7];
 double yee[7];
 double y1[7];
 for(int i=0; i<7; i++){
   y[i]=(y2[i]-y2[0])*1000000000;
  ye[i]=y2e[i]*1000000000; 
 };
  for(int i=0; i<7; i++){
   y1[i]=y[i];
   yee[i]=sqrt(ye[i]*ye[i]+ye[0]*ye[0]);
   };



 TF1 *f2 = new TF1( "f2", "[0]*x+[1]" ,0.0,4100.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g2 = new TGraphErrors(7, x2, y1,0,yee);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g2->GetXaxis()->SetNdivisions(7, 5, 0/*, Bool_t optim=kTRUE*/);
 g2->GetYaxis()->SetNdivisions(10, 4, 0/*, Bool_t optim=kTRUE*/);

g2->GetXaxis()->SetLimits(1,8);
g2->GetYaxis()->SetRangeUser(0,200);

g2->SetMarkerStyle(20);
g2->SetMarkerColor(4);
g2->SetLineColor(4);
g2->SetMarkerSize(1);
g2->SetTitle(";Delay step ;Delay (ns)");

g2->GetXaxis()->SetLabelSize(0.05);
g2->GetYaxis()->SetLabelSize(0.05);
g2->GetXaxis()->SetTitleSize(0.05);
g2->GetYaxis()->SetTitleSize(0.05);
g2->GetXaxis()->SetTitleOffset(1.1);
g2->GetYaxis()->SetTitleOffset(1.1);
 

f2->SetParameters(1.2,0.0);
f2->SetParNames("slope","intercept");
 f2->SetLineColor(4);
 // g2->Fit("f2");

g2->Draw("AP");
// f1->Draw("same");


 double y21[] = {-9.5051319648314e-11, 2.48079336403796e-08, 4.98096593982245e-08, 7.47728450456848e-08, 9.97269060416583e-08,  1.24736525857584e-07, 1.49736609122651e-07};

 double y2e1[] = {4.88015457391091e-11, 1.12861907615793e-10, 4.01276729452349e-11, 6.50123332616881e-11, 3.67157759920537e-11, 4.46919896514552e-11, 6.06085765356444e-11 };
 double y111[7];
 double ye1[7];
 double yee1[7];
 double y11[7];
 for(int i=0; i<7; i++){
   y111[i]=(y21[i]-y21[0])*1000000000;
  ye1[i]=y2e1[i]*1000000000; 
 };
  for(int i=0; i<7; i++){
   y11[i]=y111[i];
   yee1[i]=sqrt(ye1[i]*ye1[i]+ye1[0]*ye1[0]);
   };



 TF1 *f = new TF1( "f", "[0]*x+[1]" ,0.0,4100.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g = new TGraphErrors(7, x2, y11,0,yee1);

g->SetMarkerStyle(26);
g->SetMarkerColor(2);
g->SetLineColor(2);
g->SetMarkerSize(1);
g->SetTitle(";Delay step ;Delay (ns)");

f->SetParameters(1.2,0.0);
f->SetParNames("slope","intercept");
 f->SetLineColor(4);
 // g2->Fit("f2");

g->Draw("P");
// f1->Draw("same");

TLegend *leg = new TLegend(0.17,0.58,0.47,0.84,"","NDC");
leg->AddEntry(g2, "Ch B move","lp");
leg->AddEntry(g, "Ch A move","lp");
  //leg.SetMargin(0.5)
  //leg.SetTextSize(0.04)
  //leg.SetBorderSize(0)
  //leg.SetFillColor(0)
  leg->Draw();





}





