#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plotc1re()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 50, 60, 800, 600);
 
 double x2[] = { 1.0,2.0,3.0,4.0,5.0,6.0,7.0,};

 double y2[] = {-2.17628240815065e-10, 2.48540208134712e-08, 4.98427089971812e-08, 7.47599308527078e-08, 9.98193690990208e-08, 1.24794357048434e-07, 1.49793221453527e-07 };

 double y2e[] = {3.62803349034088e-11, 3.33954677696816e-11, 3.12997299061239e-11, 1.53543011555099e-09, 3.91075395266485e-11, 3.63383192172021e-11, 2.92211351772611e-11 };
 double y[7];
 double ye[7];
 double yee[7];
 double y1[7];
 for(int i=0; i<7; i++){
   y[i]=(y2[i]-y2[0])*1000000000;
  ye[i]=y2e[i]*1000000000; 
 };
  for(int i=0; i<7; i++){
   y1[i]=y[i]-y[0];
   yee[i]=sqrt(ye[i]*ye[i]+ye[0]*ye[0]);
   };



 TF1 *f2 = new TF1( "f2", "[0]*x+[1]" ,0.0,4100.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g2 = new TGraphErrors(7, x2, y1,0,yee);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g2->GetXaxis()->SetNdivisions(7, 5, 0/*, Bool_t optim=kTRUE*/);
 g2->GetYaxis()->SetNdivisions(10, 4, 0/*, Bool_t optim=kTRUE*/);

g2->GetXaxis()->SetLimits(1,8);
g2->GetYaxis()->SetRangeUser(0,200);

g2->SetMarkerStyle(20);
g2->SetMarkerColor(4);
g2->SetLineColor(4);
g2->SetMarkerSize(1);
g2->SetTitle(";Delay step ;Delay (ns)");

g2->GetXaxis()->SetLabelSize(0.05);
g2->GetYaxis()->SetLabelSize(0.05);
g2->GetXaxis()->SetTitleSize(0.05);
g2->GetYaxis()->SetTitleSize(0.05);
g2->GetXaxis()->SetTitleOffset(1.1);
g2->GetYaxis()->SetTitleOffset(1.1);
 

f2->SetParameters(1.2,0.0);
f2->SetParNames("slope","intercept");
 f2->SetLineColor(4);
 // g2->Fit("f2");

g2->Draw("AP");
// f1->Draw("same");



}





