#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plotc2()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 50, 60, 800, 600);
 
 double x2[] = {0.0, 1.0,2.0,3.0,4.0,5.0,6.0,7.0,};

 double y2[] = {3.62352513135418e-08,  1.11128257726995e-07, 8.67915330296124e-08, 1.00557101134929e-07, 1.3702645063562e-07, 1.60971764460526e-07, 1.86287119521883e-07, 2.11724579279122e-07};

 double y2e[] = {4.49808925292963e-11, 7.89900614673167e-09, 7.82592705667874e-09, 7.23789784738705e-09, 6.6341786996565e-09, 7.39899541235144e-09, 7.14789389072211e-09, 7.41645759602196e-09};
 double y[8];
 double ye[8];
 double y1[8];
 for(int i=0; i<8; i++){
  y[i]=y2[i]*1000000000;
  ye[i]=y2e[i]*1000000000; 
 };
  for(int i=0; i<8; i++){
   y1[i]=y[i]-y[0];
   };



 TF1 *f2 = new TF1( "f2", "[0]*x+[1]" ,0.0,4100.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g2 = new TGraphErrors(8, x2, y1,0,ye);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g2->GetXaxis()->SetNdivisions(8, 5, 0/*, Bool_t optim=kTRUE*/);
 g2->GetYaxis()->SetNdivisions(10, 4, 0/*, Bool_t optim=kTRUE*/);

g2->GetXaxis()->SetLimits(0,8);
g2->GetYaxis()->SetRangeUser(0,200);

g2->SetMarkerStyle(20);
g2->SetMarkerColor(4);
g2->SetLineColor(4);
g2->SetMarkerSize(1);
g2->SetTitle(";Delay step ;Delay (ns)");

g2->GetXaxis()->SetLabelSize(0.05);
g2->GetYaxis()->SetLabelSize(0.05);
g2->GetXaxis()->SetTitleSize(0.05);
g2->GetYaxis()->SetTitleSize(0.05);
g2->GetXaxis()->SetTitleOffset(1.1);
g2->GetYaxis()->SetTitleOffset(1.1);
 

f2->SetParameters(1.2,0.0);
f2->SetParNames("slope","intercept");
 f2->SetLineColor(4);
 //g2->Fit("f2");

g2->Draw("AP");
// f1->Draw("same");



}





