#include <iostream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void plot6re()
{
gROOT->Reset();

 TCanvas *c1 = new TCanvas("name", "", 50, 60, 800, 600);
 
 double x2[] = {0.0, 1.0, 2.0, 3.0};

 double y2[] = {5.70423977147454e-09, 5.10015551091788e-09, 4.5225593722971e-09, 3.84282622040722e-09 };

 double y2e[] = {1.16245168214041e-10, 1.03076342677112e-10, 1.28097584508315e-10, 1.44201437337745e-10 };
 double y[4];
 double ye[4];
 for(int i=0; i<4; i++){
  y[i]=y2[i]*1000000000;
  ye[i]=y2e[i]*1000000000; 
 };



 TF1 *f2 = new TF1( "f2", "[0]*x+[1]" ,0.0,4100.0);
 //gStyle->SetOptStat(0111);
 //gStyle->SetOptFit();

 TGraphErrors *g2 = new TGraphErrors(4, x2, y,0,ye);

c1->SetGridx(1);// グリッドの縦線を表示する（０を入れると非表示）
c1->SetGridy(1);// グリッドの横線を表示する（０を入れると非表示）

 g2->GetXaxis()->SetNdivisions(5, 5, 0/*, Bool_t optim=kTRUE*/);
 g2->GetYaxis()->SetNdivisions(7, 5, 0/*, Bool_t optim=kTRUE*/);

g2->GetXaxis()->SetLimits(0,3.5);
g2->GetYaxis()->SetRangeUser(3.5,7.0);

g2->SetMarkerStyle(20);
g2->SetMarkerColor(4);
g2->SetLineColor(4);
g2->SetMarkerSize(1.3);
 g2->SetLineWidth(3);
g2->SetTitle(";Set value;Delay time [ns]");

g2->GetXaxis()->SetLabelSize(0.05);
g2->GetYaxis()->SetLabelSize(0.05);
g2->GetXaxis()->SetTitleSize(0.05);
g2->GetYaxis()->SetTitleSize(0.05);
g2->GetXaxis()->SetTitleOffset(1.1);
g2->GetYaxis()->SetTitleOffset(1.1);



f2->SetParameters(1.2,0.0);
f2->SetParNames("slope","intercept");
 f2->SetLineColor(4);
 //g2->Fit("f2");

g2->Draw("AP");
// f1->Draw("same");



}





